# Asterisk Project : Asterisk 13 ManagerEvent_QueueMemberRemoved

Created by wikibot on Aug 08, 2014

# QueueMemberRemoved

### Synopsis

Raised when a member is removed from the queue.

### Description

### Syntax

    Event: QueueMemberRemoved
    Queue: <value>
    MemberName: <value>
    Interface: <value>
    StateInterface: <value>
    Membership: <value>
    Penalty: <value>
    CallsTaken: <value>
    LastCall: <value>
    Status: <value>
    Paused: <value>
    Ringinuse: <value>

##### Arguments

- `Queue` - The name of the queue.
- `MemberName` - The name of the queue member.
- `Interface` - The queue member's channel technology or location.
- `StateInterface` - Channel technology or location from which to read device state changes.
- `Membership`
  - `dynamic`
  - `realtime`
  - `static`
- `Penalty` - The penalty associated with the queue member.
- `CallsTaken` - The number of calls this queue member has serviced.
- `LastCall` - The time this member last took a call, expressed in seconds since 00:00, Jan 1, 1970 UTC.
- `Status` - The numeric device state status of the queue member.
  - `0` - AST_DEVICE_UNKNOWN
  - `1` - AST_DEVICE_NOT_INUSE
  - `2` - AST_DEVICE_INUSE
  - `3` - AST_DEVICE_BUSY
  - `4` - AST_DEVICE_INVALID
  - `5` - AST_DEVICE_UNAVAILABLE
  - `6` - AST_DEVICE_RINGING
  - `7` - AST_DEVICE_RINGINUSE
  - `8` - AST_DEVICE_ONHOLD
- `Paused`
  - `0`
  - `1`
- `Ringinuse`
  - `0`
  - `1`

### Class

AGENT

### See Also

- Asterisk 13 ManagerEvent_QueueMemberAdded
- Asterisk 13 Application_RemoveQueueMember

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538